	function anorm(is,av,sd)
c	Normal variate generator using 2-vec seed is,
	dimension is(2)
c
  101	y = random(is)
	d = 1.0 - y
	h = 0.14 / d
	x = 1.22 * y * (1.0 + h)
	t = alog (random(is) / (1.0 + h/d)) + 0.5*x*x +.1576
	if (t .ge. 0.0) goto 101
	if (t .ge. -0.69314706) x = -x
	anorm = x * sd + av
	return
	end
